import Api from "~/service/Api"
import Utils from "~/utils"

export default {
                async onDecblkButtxmsel(){
                let rtnmsg = await this.executeRule("decblk.buttxmsel")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onGitpButdifcovgodsrv(){
                let rtnmsg = await this.executeRule("gitp.butdifcovgodsrv")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onGitpButdifhiscovgodsrv(){
                let rtnmsg = await this.executeRule("gitp.butdifhiscovgodsrv")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onGitpButdifcovgodsrvc(){
                let rtnmsg = await this.executeRule("gitp.butdifcovgodsrvc")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onGitpButdifhiscovgodsrvc(){
                let rtnmsg = await this.executeRule("gitp.butdifhiscovgodsrvc")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onGitpSelall(){
                let rtnmsg = await this.executeRule("gitp.selall")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onGitpCanall(){
                let rtnmsg = await this.executeRule("gitp.canall")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onGitpButdif(){
                let rtnmsg = await this.executeRule("gitp.butdif")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onGitpButdifhis(){
                let rtnmsg = await this.executeRule("gitp.butdifhis")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onGitpShwgidtxt(){
                let rtnmsg = await this.executeRule("gitp.shwgidtxt")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onGitpButgetref(){
                let rtnmsg = await this.executeRule("gitp.butgetref")
                if(rtnmsg.respCode == SUCCESS)
                {
                    this.model.gidgrp.rec.ownref=rtnmsg.data.gidgrp_rec_ownref;
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onGitpGidtxtmod(){
                let rtnmsg = await this.executeRule("gitp.gidtxtmod")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onGitpButgetrefc(){
                let rtnmsg = await this.executeRule("gitp.butgetrefc")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onGitpButdifc(){
                let rtnmsg = await this.executeRule("gitp.butdifc")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onGitpButdifhisc(){
                let rtnmsg = await this.executeRule("gitp.butdifhisc")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onGitpShwgidtxtc(){
                let rtnmsg = await this.executeRule("gitp.shwgidtxtc")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onGitpGidtxtmodc(){
                let rtnmsg = await this.executeRule("gitp.gidtxtmodc")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onGitpButdifexptxt(){
                let rtnmsg = await this.executeRule("gitp.butdifexptxt")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onGitpButdifhisexptxt(){
                let rtnmsg = await this.executeRule("gitp.butdifhisexptxt")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onChargiButtxmsel(){
                let rtnmsg = await this.executeRule("chargi.buttxmsel")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onGitpButdifpreper(){
                let rtnmsg = await this.executeRule("gitp.butdifpreper")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onGitpButdifhispreper(){
                let rtnmsg = await this.executeRule("gitp.butdifhispreper")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onChargicButtxmsel(){
                let rtnmsg = await this.executeRule("chargic.buttxmsel")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onGitpButdifpreperc(){
                let rtnmsg = await this.executeRule("gitp.butdifpreperc")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onGitpButdifhispreperc(){
                let rtnmsg = await this.executeRule("gitp.butdifhispreperc")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onApcpDet(){
                let rtnmsg = await this.executeRule("apcp.det")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onIsspDet(){
                let rtnmsg = await this.executeRule("issp.det")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onCtcpDet(){
                let rtnmsg = await this.executeRule("ctcp.det")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onBenpDet(){
                let rtnmsg = await this.executeRule("benp.det")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onBecpDet(){
                let rtnmsg = await this.executeRule("becp.det")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onAvcpDet(){
                let rtnmsg = await this.executeRule("avcp.det")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onAplpDet(){
                let rtnmsg = await this.executeRule("aplp.det")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onConpDet(){
                let rtnmsg = await this.executeRule("conp.det")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onBdbpDet(){
                let rtnmsg = await this.executeRule("bdbp.det")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onCtrpDet(){
                let rtnmsg = await this.executeRule("ctrp.det")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onAtbpDet(){
                let rtnmsg = await this.executeRule("atbp.det")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onAdvpDet(){
                let rtnmsg = await this.executeRule("advp.det")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onGitpWbxs(){
                let rtnmsg = await this.executeRule("gitp.wbxs")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onGitpYptxy(){
                let rtnmsg = await this.executeRule("gitp.yptxy")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onGitpButdifliatxtc(){
                let rtnmsg = await this.executeRule("gitp.butdifliatxtc")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },
        async onGitpButdifhisliatxtc(){
                let rtnmsg = await this.executeRule("gitp.butdifhisliatxtc")
                if(rtnmsg.respCode == SUCCESS)
                {
                //TODO 处理数据逻辑

                }
                else
                {
                this.$notify.error({title: '错误',message: '服务请求失败！'});
                }
            },

}